Subject: Re: bug#69140: 30.0.50; [elpa/vertico] Emacs with vertico-mode freezes if font is too big

From: Aleksandr Vityazev <[email-masked]>
Date: Thu, 22 Feb 2024 13:59:28 +0300

On 2024-02-22 14:37, Po Lu wrote:

> Eli Zaretskii <[email-masked]> writes:
>
>>> with (set-face-attribute 'default nil :family "monospace" :height 440)
>>> the result is the following:
>>> 
>>> --8<---------------cut here---------------start------------->8---
>>> (list (window-height) (window-width)) => (13 53)
>>> 
>>> C-u C-x = (what-cursor-position) =>
>>> 
>>> display: by this font (glyph code):
>>> ftcrhb:-    -Go Mono-regular-normal-normal-*-58-*-*-*-m-0-iso10646-1 (#x37)
>>> --8<---------------cut here---------------end--------------->8---
>>> 
>>> I think this is still a reasonable size. I usually have my font height
>>> set to 240, and recently I noticed that vertico was starting to lag at
>>> this setting. Researching further, I found that the larger the font, the
>>> more obvious the hang, and I also found the commit after which it all
>>> started. I think that there is a bug here, but we need to investigate it
>>> further and check it without pgtk on X.
>>
>> Could someone please reproduce and investigate?  Po Lu, any
>> suggestions or ideas?
>
> Alexandr, please send me an archive containing the font files for "Go
> Mono", and I'll try to reproduce.

I also checked the following fonts: Iosevka, Liberation Mono, DejaVu
Sans Mono, the behavior is the same.

Go Mono fonts archive attached.

-- 
Best regards,
Aleksandr Vityazev